package com.liquidnet.service.goblin.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class GoblinStoreMarketDto implements Serializable, Cloneable {
    private static final long serialVersionUID = -3312075068650898199L;

    /**
     * 活动ID
     */
    private String id;

    /**
     * 活动类型:1-优惠券
     */
    private Integer type;


    private static final GoblinStoreMarketDto obj = new GoblinStoreMarketDto();
    public static GoblinStoreMarketDto getNew() {
        try {
            return (GoblinStoreMarketDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinStoreMarketDto();
        }
    }
}
